Unicenter Job Management Adapter for SAP jco Library issue

Document ID : KB000006729
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

We used CA Job Management Adapter for SAP 3.2 SP3 and got the following issue after an upgrade to RedHat 7: 

CA Job Management Adapter for SAP 3.2 SP3 (auto_r3v45) jobs/commands fail with error: CASAP_E_998 Required SAP shared library not found in library path 

 

autosys_user@rsp-r0022:/opt/rs/ccp/lib # ldd librfccm.so 

linux-gate.so.1 => (0xf77b7000) 

libdl.so.2 => /usr/lib/libdl.so.2 (0xf7202000) 

librt.so.1 => /usr/lib/librt.so.1 (0xf71f9000) 

libpthread.so.0 => /usr/lib/libpthread.so.0 (0xf71de000) 

libc.so.6 => /usr/lib/libc.so.6 (0xf701f000) 

libstdc++-libc6.2-2.so.3 => not found 

libm.so.6 => /usr/lib/libm.so.6 (0xf6fcd000) 

Environment:
CA Job Management Adapter for SAP 3.2 SP3 RedHat 7
Cause:

This was a compatibility issue between UJMSAP 3.2 SP3 adapter and RedHat 7 

Resolution:

Use librfccm.so from package RFC_13-10009516. Pull down this package for the "LINUX ON IA32 32BIT" platform